Package org.eclipse.mat.query.registry

## Class CommandLine

- java.lang.Object
- - org.eclipse.mat.query.registry.CommandLine

    public class CommandLine
    extends Object

### Constructor Summary

Constructors
`CommandLine()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IResult` `execute​(IQueryContext context, String commandLine, IProgressListener listener)`
`static void` `fillIn​(ArgumentSet arguments, String line)`
`static ArgumentSet` `parse​(IQueryContext context, String line)`
`static String[]` `tokenize​(String line)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandLine

    public CommandLine()

### Method Detail

#### tokenize

    public static String[] tokenize​(String line)

#### execute

    public static IResult execute​(IQueryContext context,
                                  String commandLine,
                                  IProgressListener listener)
                           throws SnapshotException

Throws:
  `SnapshotException`

#### parse

    public static ArgumentSet parse​(IQueryContext context,
                                    String line)
                             throws SnapshotException

Throws:
  `SnapshotException`

#### fillIn

    public static void fillIn​(ArgumentSet arguments,
                              String line)
                       throws SnapshotException

Throws:
  `SnapshotException`